{
  inputs = {
    nixpkgs.url = "nixpkgs/nixos-26.05";
    flakelight = {
      url = "github:nix-community/flakelight";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    mill-scale = {
      url = "git+https://codeberg.org/icewind/mill-scale.git";
      inputs.flakelight.follows = "flakelight";
    };
  };
  outputs = {mill-scale, ...}:
    mill-scale ./. {
      packageOpts = {demostf-frontend-node-modules, ...}: {
        preBuild = ''
          ln -s ${demostf-frontend-node-modules}/node_modules .
        '';
      };
      extraPaths = [
        ./.sqlx
        ./images
        ./script
        ./style
      ];
      withOverlays = [
        (final: prev: {
          nodejs-16_x = final.nodejs;
        })
        (import ./nix/overlay.nix)
      ];
      tools = pkgs:
        with pkgs; [
          bacon
          cargo-edit
          nodejs
          svgo
          typescript
          sqlx-cli
        ];
    };
}
